pymca(1)

NAME

pymca - PyMca X-Ray Fluorescence Toolkit main application

SYNOPSIS

pymca [OPTION]... [FILE]

DESCRIPTION

Start the graphical user interface of the PyMca X-Ray Fluorescence Toolkit main window using latest user defined default settings.

If FILE is given, it will be opened in the program provided its format is supported.

-f bypass user defined default settings

EXAMPLES

pymca -f

Start the program bypassing user defined default settings.

pymca -f LShellConstants.dat

Open the LShellConstants.dat and list its contents in the source browser.

pymca -f your_HDF5_file.h5

Allows one to browse the HDF5 file your_HDF5_file.h5 in PyMca if the Python module h5py is installed.

pymca --nativefiledialogs=X

With X set to 1, the program will use the file dialogs from the operating system. With X set to 0, the program will use Qt file dialogs.

pymca --backend=XX

Start the program using the selected graphics backend (mpl for matplotlib, gl for OpenGL)

pymca --binding=XX

Start the program using the selected Qt binding. It has to be one of PyQt5 (default), PySide2 or PySide6. i pymca --logging=XX

Set the logging level. Allowed values are, in increasing order of verbosity: critical, error, warning (default), info, debug. Alternatively, you can specify an integer in range 0 (critical) to 4 (debug).

SEE ALSO
HDF5, h5py